Автор Тема: проблема с установкой TeamViewer на Rasbian  (Прочитано 827 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Sovuschka

  • а Я Тебя
  • Новичок форума
  • Topic Author
  • Сообщений: 8
  • вижу
установил TeamViewer на Rasbian, вроде выдает ID но не могу подключиться и при команде upgrade выпадает ряд ошибок

  sudo dpkg -i teamviewer-host_armhf.deb
Выбор ранее не выбранного пакета teamviewer-host.
(Чтение базы данных … на данный момент установлено 128425 файлов и каталогов.)
Подготовка к распаковке teamviewer-host_armhf.deb …
Распаковывается teamviewer-host (15.5.3) …
dpkg: зависимости пакетов не позволяют настроить пакет teamviewer-host:
 teamviewer-host зависит от libqt5gui5 (>= 5.5) | qt56-teamviewer, однако:
  Пакет libqt5gui5 не установлен.
  Пакет qt56-teamviewer не установлен.
 teamviewer-host зависит от libqt5widgets5 (>= 5.5) | qt56-teamviewer, однако:
  Пакет libqt5widgets5 не установлен.
  Пакет qt56-teamviewer не установлен.
 teamviewer-host зависит от libqt5qml5 (>= 5.5) | qt56-teamviewer, однако:
  Пакет libqt5qml5 не установлен.
  Пакет qt56-teamviewer не установлен.
 teamviewer-host зависит от libqt5quick5 (>= 5.5) | qt56-teamviewer, однако:
  Пакет libqt5quick5 не установлен.
  Пакет qt56-teamviewer не установлен.
 teamviewer-host зависит от libqt5dbus5 (>= 5.5) | qt56-teamviewer, однако:
  Пакет libqt5dbus
dpkg: ошибка при обработке пакета teamviewer-host (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для gnome-menus (3.13.3-6) …
Обрабатываются триггеры для desktop-file-utils (0.22-1) …
Обрабатываются триггеры для mime-support (3.58) …
Обрабатываются триггеры для hicolor-icon-theme (0.13-1) …
При обработке следующих пакетов произошли ошибки:
 teamviewer-host


sudo apt --fix-broken install
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libasn1-8-heimdal libgssapi3-heimdal libhcrypto4-heimdal libheimbase1-heimdal
  libheimntlm0-heimdal libhx509-5-heimdal libkrb5-26-heimdal libroken18-heimdal
  libwind0-heimdal libxfce4ui-1-0 xfce-keyboard-shortcuts
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут УДАЛЕНЫ:
  teamviewer-host
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 18 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 54,8 MB.
Хотите продолжить? [Д/н]

Как мне исправить ошибку библиотеки  libqt5gui5?  или может я что-то еще должен сделать?
« Последнее редактирование: 10 Май 2020, 02:42:02 от Sovuschka »
нет ничего невозможного - есть трудновыполнимое...
 


Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4937
  • memento mori
  • Jabber: qupl@jabber.ru
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #1 : 10 Май 2020, 06:15:20 »
apt install [пакет]?

Оффлайн Sovuschka

  • а Я Тебя
  • Новичок форума
  • Topic Author
  • Сообщений: 8
  • вижу
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #2 : 10 Май 2020, 11:44:49 »
да
« Последнее редактирование: 10 Май 2020, 18:41:38 от Sovuschka »
нет ничего невозможного - есть трудновыполнимое...
 

Оффлайн Sovuschka

  • а Я Тебя
  • Новичок форума
  • Topic Author
  • Сообщений: 8
  • вижу
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #3 : 10 Май 2020, 11:54:18 »
действия такие:

sudo apt-get updatesudo apt-get upgradewget https://download.teamviewer.com/download/linux/teamviewer-host_armhf.debsudo dpkg -i teamviewer-host_armhf.debsudo apt --fix-broken install
лог последних двух команд прилагается...
я понимаю что, что -то пошло не так но что? и как это исправить?
нет ничего невозможного - есть трудновыполнимое...
 

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4937
  • memento mori
  • Jabber: qupl@jabber.ru
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #4 : 10 Май 2020, 15:04:50 »
Вы предыдущее сообщение не поняли? Если устанавливать через apt недостающие пакеты?

Оффлайн Sovuschka

  • а Я Тебя
  • Новичок форума
  • Topic Author
  • Сообщений: 8
  • вижу
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #5 : 10 Май 2020, 18:41:13 »
вот я попробовал, но ......

sudo apt-get -f install libqt5core5a
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 teamviewer-host : Зависит: libqt5gui5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5widgets5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5qml5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5quick5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5dbus5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5webkit5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5x11extras5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick2 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-controls (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-dialogs (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-window2 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-layouts (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Рекомендует: ttf-liberation но он не будет установлен или
                                           fonts-liberation но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
« Последнее редактирование: 10 Май 2020, 19:01:26 от Sovuschka »
нет ничего невозможного - есть трудновыполнимое...
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 3127
  • Linux Registered User #547151
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #6 : 11 Май 2020, 05:23:55 »
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4937
  • memento mori
  • Jabber: qupl@jabber.ru
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #7 : 11 Май 2020, 06:25:36 »
Проверьте какие версии недостающих пакетов находятся в репозиториях, из которых обновляетесь.  Соответствуют ли они требованиям  ( libqt5dbus5 (>= 5.5) ).
Если бы Вы попробовали поставить один из этих пакетов, то наверняка получили более понятную ошибку или он бы просто установился.

Оффлайн Sovuschka

  • а Я Тебя
  • Новичок форума
  • Topic Author
  • Сообщений: 8
  • вижу
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #8 : 12 Май 2020, 00:43:18 »
Это раз....
:~ $ sudo apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
  libasn1-8-heimdal libgssapi3-heimdal libhcrypto4-heimdal
  libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal
  libkrb5-26-heimdal libroken18-heimdal libwind0-heimdal libxfce4ui-1-0
  xfce-keyboard-shortcuts
Для их удаления используйте «apt-get autoremove».
Пакеты, которые будут УДАЛЕНЫ:
  teamviewer-host
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 18 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 54,8 MB.
Хотите продолжить? [Д/н]
Это два....
Как проверить?
sudo apt-get install ttf-liberation
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 teamviewer-host : Зависит: libqt5gui5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5widgets5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5qml5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5quick5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5dbus5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5webkit5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5x11extras5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick2 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-controls (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-dialogs (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-window2 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-layouts (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
 ttf-liberation : Зависит: fonts-liberation но он не будет установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).

нет ничего невозможного - есть трудновыполнимое...
 

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4937
  • memento mori
  • Jabber: qupl@jabber.ru
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #9 : 12 Май 2020, 04:51:41 »
ttf-liberation : Зависит: fonts-liberation но он не будет установлен
apt install fonts-liberationСвой список источников покажите.

uname -a
lsb_release -a
cat /etc/apt/sources.list
ls /etc/apt/sources.list.d

Оффлайн Sovuschka

  • а Я Тебя
  • Новичок форума
  • Topic Author
  • Сообщений: 8
  • вижу
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #10 : 16 Май 2020, 14:58:00 »
sudo apt install fonts-liberation
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 teamviewer-host : Зависит: libqt5gui5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5widgets5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5qml5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5quick5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5dbus5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5webkit5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: libqt5x11extras5 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick2 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-controls (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-dialogs (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-window2 (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
                   Зависит: qml-module-qtquick-layouts (>= 5.5) но он не будет установлен или
                                   qt56-teamviewer но он не может быть установлен
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
sudo uname -a
Linux soya2 4.1.18-v7+ #846 SMP Thu Feb 25 14:22:53 GMT 2016 armv7l GNU/Linux
sudo lsb_release -a
No LSB modules are available.
Distributor ID: Raspbian
Description:    Raspbian GNU/Linux 8.0 (jessie)
Release:        8.0
Codename:       jessie
sudo cat /etc/apt/sources.list
deb http://mirrordirector.raspbian.org/raspbian/ jessie main contrib non-free rpi
# Uncomment line below then 'apt-get update' to enable 'apt-get source'
#deb-src http://archive.raspbian.org/raspbian/ jessie main contrib non-free rpi
sudo ls /etc/apt/sources.list.d
raspi.list  teamviewer.list.dpkg-new

нет ничего невозможного - есть трудновыполнимое...
 

Оффлайн qupl

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 4937
  • memento mori
  • Jabber: qupl@jabber.ru
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #11 : 16 Май 2020, 15:58:18 »
Ищите другой teamviewer (более старый) если он есть, в ваших репозиториях libqt* версии 5.3.2, а ему требуется >= 5.5

Оффлайн Sovuschka

  • а Я Тебя
  • Новичок форума
  • Topic Author
  • Сообщений: 8
  • вижу
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #12 : 25 Май 2020, 13:29:27 »
Кто бы подсказал где??   или может другой способ получить доступ удаленно из сети инет к своему Raspberry
нет ничего невозможного - есть трудновыполнимое...
 

Оффлайн ChubaDuba

  • Старожил
  • ****
  • Сообщений: 746
  • Debian 9 & Xmonad
    • Бλог
  • Jabber: achubakov@jabber.ru
Re: проблема с установкой TeamViewer на Rasbian
« Ответ #13 : 25 Май 2020, 14:37:13 »
другой способ получить доступ удаленно из сети инет к своему Raspberry
AnyDesk
Бλог   @chuba_duba
 

 

Проблема с 2 видеокартами ATI

Автор daun85

Ответов: 13
Просмотров: 1939
Последний ответ 21 Ноябрь 2014, 06:43:50
от qupl
Проблема с сетевыми картами

Автор 4ydocactus

Ответов: 2
Просмотров: 1370
Последний ответ 26 Январь 2019, 06:17:54
от 4ydocactus
Проблема после обновления ядра в Wheezy

Автор dduh

Ответов: 5
Просмотров: 1864
Последний ответ 06 Ноябрь 2012, 21:36:11
от qupl
[Решено] proFTPd: проблема с отображением русских букв

Автор Sferg

Ответов: 1
Просмотров: 4165
Последний ответ 23 Март 2013, 01:59:10
от yura_n
Проблема при установке libapache2-mod-php5

Автор DJ Sergeich

Ответов: 5
Просмотров: 2244
Последний ответ 04 Ноябрь 2016, 11:53:58
от ferum